View Issue Details

IDProjectCategoryView StatusLast Update
0001378PluginsHlfViewerpublic2010-05-18 22:57
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0001378: Не работает опция (•) Show modified file
DescriptionРедактируем файл в любом месте, жмём F1
Получаем:

Requested help topic not found:
           Contents
Additional InformationПроблема только в юникодной версии
TagsNo tags attached.

Activities

JohnDoe

2010-05-14 12:33

updater   bugnote:0005363

Last edited: 2010-05-14 12:41

View 3 revisions

На большом файле (FarRus.hlf) выдаче сообщения об ошибке предшествует двухсекундная пауза.

Если же на самом деле удалить строку @Contents (и сохранить файл), то после нажатия F1 то же сообщение выводится мгновенно.

От кодировки файла не зависит.

vskirdin

2010-05-14 14:19

administrator   bugnote:0005365

эээ... как связаны между собой заголовок, тело и комментарий Инца?
логики понять не могу :-)

JohnDoe

2010-05-14 14:36

updater   bugnote:0005366

По порядку:
У плагина есть функция - если при редактировании hlf нажать F1 - в виде хелпа отобразится открытый в редакторе файл.

В настройках плагина есть опция (•) Show modified file, которая означает следующее:
"Показывать изменённый - будут отображены все несохранённые изменения текущего топика редактируемого HLF-файла."

Однако, не работает эта опция - всплывает ворнинг.

vskirdin

2010-05-14 15:23

administrator   bugnote:0005367

ай ай ай... в файл пишется лабуда с "обрезанными" строками...

Но это еще не все...
судя по всему здесь комплексная проблема и плагина и Фара.
Плагин - build 28, Far буду смотреть...

vskirdin

2010-05-14 15:50

administrator   bugnote:0005368

ан нет, Far тут не причем.
build 29

JohnDoe

2010-05-17 14:01

updater   bugnote:0005378

Теперь порядок.

По ходу вопрос: при наличии изменений в большом файле (FarRus.hlf) перед выводом справки возникает двухсекундная пауза.

Возможно ли это вообще оптимизировать, т.е. имеет ли смысл создавать об этом тикет?

Issue History

Date Modified Username Field Change
2010-05-13 23:23 JohnDoe New Issue
2010-05-14 12:33 JohnDoe Note Added: 0005363
2010-05-14 12:38 JohnDoe Note Edited: 0005363 View Revisions
2010-05-14 12:41 JohnDoe Note Edited: 0005363 View Revisions
2010-05-14 14:19 vskirdin Note Added: 0005365
2010-05-14 14:36 JohnDoe Note Added: 0005366
2010-05-14 15:22 vskirdin Assigned To => vskirdin
2010-05-14 15:22 vskirdin Status new => assigned
2010-05-14 15:23 vskirdin Note Added: 0005367
2010-05-14 15:50 vskirdin Note Added: 0005368
2010-05-14 15:50 vskirdin Status assigned => feedback
2010-05-17 14:01 JohnDoe Note Added: 0005378
2010-05-17 14:01 JohnDoe Status feedback => assigned
2010-05-17 14:01 JohnDoe Status assigned => resolved
2010-05-18 22:57 alexy Status resolved => closed
2010-05-18 22:57 alexy Resolution open => fixed
2010-05-18 22:57 alexy Fixed in Version => 2.0